Bug 646843 - images/install.img will no longer exist in F-15 and newer
Summary: images/install.img will no longer exist in F-15 and newer
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: preupgrade   
(Show other bugs)
Version: 14
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedBlocker
Keywords:
Depends On:
Blocks: F15Beta, F15BetaBlocker
TreeView+ depends on / blocked
 
Reported: 2010-10-26 12:49 UTC by James Laska
Modified: 2013-09-02 06:52 UTC (History)
7 users (show)

Fixed In Version: preupgrade-1.1.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-11 15:16:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lazy-fix.patch (1.39 KB, patch)
2011-03-02 18:03 UTC, James Laska
no flags Details | Diff
less-lazy-fix.patch (4.50 KB, patch)
2011-03-02 18:04 UTC, James Laska
no flags Details | Diff
preupgrade-cli.patch (7.46 KB, patch)
2011-03-14 13:42 UTC, James Laska
no flags Details | Diff

Description James Laska 2010-10-26 12:49:53 UTC
The stage#2 install.img is going away for good.  The image will no longer be available as of F-15 and newer.  Preupgrade will need to be adjusted accordingly.  I'll be happy to fiddle with some patches once F-15 test images are available.

I have some concerns on how best to handle the situation of limited disk space in /boot since the initrd.img now contains *both* loader and stage2.

For discussions on this feature see https://www.redhat.com/archives/anaconda-devel-list/2010-August/msg00020.html

Comment 1 Richard Hughes 2011-01-21 14:12:55 UTC
Sure, it kinda complicates the small /boot case, although I'm not overly bothered with just saying to the user "sorry, you can't do that" given we've defaulted to lvm and a larger boot for some time now.

Ping me when there's a test compose tree and I'll see what breaks. Thanks.

Comment 2 James Laska 2011-02-10 19:59:54 UTC
Adding to F15Beta so we don't forget that this impacts the F15Beta release criteria (https://fedoraproject.org/wiki/Fedora_15_Beta_Release_Criteria).

Test composes are coming online now and are available from http://serverbeach1.fedoraproject.org/pub/alt/stage/

Comment 3 James Laska 2011-03-02 18:03:42 UTC
Created attachment 481921 [details]
lazy-fix.patch

A quick'n'dirty lazy patch to address this problem.

Comment 4 James Laska 2011-03-02 18:04:45 UTC
Created attachment 481922 [details]
less-lazy-fix.patch

A slightly less lazy fix.  I've tested both fixes and they work ... but I'm sure there is a more appropriate and preferred way to add support.  Note, these patches only fix preupgrade-gtk.py.

Comment 5 Richard Hughes 2011-03-03 10:01:08 UTC
(In reply to comment #4)
> Created attachment 481922 [details]
> less-lazy-fix.patch

I've applied this after removing the added error message. There's nothing the user can do about a missing stage2 in F15+, so we don't need to tell them anything.

Thanks,

Richard.

Comment 6 James Laska 2011-03-07 14:32:05 UTC
(In reply to comment #5)
> (In reply to comment #4)
> > Created attachment 481922 [details]
> > less-lazy-fix.patch
> 
> I've applied this after removing the added error message. There's nothing the
> user can do about a missing stage2 in F15+, so we don't need to tell them
> anything.

Do you need me to also patch the preupgrade-cli.py version?  If you can point me to the patch accepted, I'll be happy to provide a -cli version.

Comment 7 Richard Hughes 2011-03-09 09:48:07 UTC
That would be most appreciated, thanks.

Comment 8 Adam Williamson 2011-03-11 18:41:02 UTC
Discussed at 2011-03-11 blocker review meeting. This is a clear blocker under criterion "The installer must be able to successfully complete an upgrade installation from a clean, fully updated default installation of the previous stable Fedora release, either via preupgrade or by booting to the installer manually".

Comment 9 James Laska 2011-03-14 13:42:18 UTC
Created attachment 484187 [details]
preupgrade-cli.patch

(In reply to comment #7)
> That would be most appreciated, thanks.

Tested patch.  Note, this patch also removes data/releases.txt from the git repository.  I suspect a corresponding preupgrade.spec change will be needed if this portion of the patch is accepted?

Comment 10 Richard Hughes 2011-03-15 10:46:26 UTC
Committed, thanks:

commit 176a61246384533897879bd1aa961afdf5425de9
Author: James Laska <jlaska@redhat.com>
Date:   Tue Mar 15 10:38:32 2011 +0000

    Fix preupgrade-cli now stage2 is not shipped in F15
    
    Signed-off-by: Richard Hughes <richard@hughsie.com>

Comment 11 James Laska 2011-03-16 18:54:36 UTC
Fixed in preupgrade-1.1.9-1.  Pending test feedback from preupgrade test day, this issue will move to ON_QA and be included an a future bodhi update.

http://koji.fedoraproject.org/koji/packageinfo?packageID=6045

Comment 12 Adam Williamson 2011-03-25 17:48:02 UTC
Discussed at the 2011-03-25 blocker review meeting. We note that we had the Test Day and it seems to have been 'successful' as far as this issue is concerned. Can the updated preupgrade be submitted as an update now?

Comment 13 He Rui 2011-03-31 09:18:15 UTC
So far we are testing upgrading to F15 beta, please submit preupgrade-1.1.9-1 in comment#11 as an update asap.

Comment 15 He Rui 2011-04-07 05:02:58 UTC
Verified the updates worked as expected. Thanks, James.

Comment 16 James Laska 2011-04-07 11:53:21 UTC
(In reply to comment #15)
> Verified the updates worked as expected. Thanks, James.

Nice work, thanks Hurry and Richard!

Comment 17 Adam Williamson 2011-04-11 15:16:06 UTC
the update's gone stable in the two releases where it's critical atm, it'll go stable in f15 when freeze is listed: closing.


Note You need to log in before you can comment on or make changes to this bug.